            isCinC: false,

            // false - означает что статистика не отправляется, true - отправляется
            submitStatus: {
                {% for pg in params.groupsList %}
                {{ pg }}: false,
                {% endfor %}
                firmwareUpload: false,
                firmwareUpgrade: false,
                // когда модем перезагружается, тут должен быть счетчик. Направление счета - к нулю
                modemReboot: null
            },

            stat: {

            }

            stat_rx: {
                // индикаторы
                state: '?', // общее состояние
                sym_sync_lock: '?', // захват символьной
                freq_search_lock: '?', // Захват поиска по частоте
                afc_lock: '?', // захват ФАПЧ
                pkt_sync: '?', // захват пакетной синхронизации

                // куча других параметров, идет в том же порядке, что и в таблице
                snr: '?', rssi: '?',
                modcod: '?', frameSizeNormal: '?',
                isPilots: '?',
                symError: '?',
                freqErr: '?', freqErrAcc: '?',
                inputSignalLevel: '?',
                pllError: '?',
                speedOnRxKbit: '?',
                speedOnIifKbit: '?',

                // статистика пакетов
                packetsOk: '?', packetsBad: '?', packetsDummy: '?',
            },
            stat_tx: {
                // состояние
                state: '?',

                // прочие поля
                snr: '?', modcod: '?', frameSizeNormal: '?', isPilots: '?', speedOnTxKbit: '?', speedOnIifKbit: '?',
            },
            stat_cinc: {
                occ: '?',
                correlator: null,
                correlatorFails: '?',
                freqErr: '?', freqErrAcc: '?',
                channelDelay: '?'
            },
            stat_device: { // температурные датчики
                adrv: 0, zynq: 0, fpga: 0
            },

            param: {
                general: {
                    isCinC: Boolean,
                    txEn: Boolean, // включен/выключен
                    modulatorMode: 'normal', // режим работы модулятора
                    autoStartTx: Boolean, // было "режим работы передатчика"
                    isTestInputData: Boolean, // входные данные: eth или test
                },
                tx: {
                    attenuation: Number, // ослабление
                    rolloff: Number,
                    cymRate: Number,
                    centerFreq: Number,
                },
                dvbs2: {
                    mode: null, // ccm/acm
                    frameSizeNormal: null, // 'normal' / 'short'
                    // isPilots: false,

                    // CCM
                    ccm_modulation: null,
                    ccm_speed: null,

                    // ACM
                    acm_maxModulation: null,
                    acm_maxSpeed: null,
                    acm_minModulation: null,
                    acm_minSpeed: null,

                    snrReserve: null,
                    servicePacketPeriod: null,
                },
                // авто-регулировка мощности
                acm: {
                    en: false,
                    maxAttenuation: null,
                    minAttenuation: null,
                    requiredSnr: null,
                },
                rx: {
                    gainMode: null, // 'auto'/'manual' режим управления усилением
                    manualGain: 0, // усиление, только для ручного режима
                    spectrumInversion: false,
                    rolloff: 0,
                    cymRate: 100000,
                    centerFreq: 1200000.0,
                },

                cinc: {
                    mode: null, // 'positional' | 'delay'
                        searchBandwidth: 0, // полоса поиска в кГц
                        position: {
                        station: {
                            latitude: 0,
                                longitude: 0
                        },
                        satelliteLongitude: 0,
                    },
                    delayMin: 0,
                    delayMax: 0
                },

                buc: {
                    refClk10M: false, // подача опоры 10MHz
                        powering: 0 // 0, 24, 48
                },
                lnb: {
                    refClk10M: false, // подача опоры 10MHz
                    powering: 0 // 0, 13, 18, 24
                },
                serviceSettings: {
                    refClk10M: false, // подача опоры 10MHz
                    autoStart: false
                },

                network: {
                    managementIp: '', // 0.0.0.0/24
                    managementGateway: '',
                    mode: String, // l2 | l3
                    dataIp: '', //
                    dataMtu: 1500
                },
                debugSend: {
                    en: false,
                    receiverIp: '0.0.0.0', // 0.0.0.0
                    portCinC: 0,
                    portData: 0,
                    timeout: 0
                },

                qos: {
                    en: false,
                    rt1: [],
                    rt2: [],
                    rt3: [],
                    cd: [],
                },

                tcpAccel: {
                    en: false,
                    maxConnections: 128
                },
            },

            uploadFw: {
                progress: null,
                filename: null,
                sha256: null
            },

            // эти "настройки" - read only
            about: {
                firmwareVersion: '?',
                modemUid: '?',
                modemSn: '?',
                macManagement: '?',
                macData: '?',
            },

            testState: false,
            initState: '',
            lastUpdateTime: new Date(),
            activeTab: getCurrentTab(),
            settingFetchComplete: false,
